This job view page is being replaced by Spyglass soon. Check out the new job view.
PRandyzhangx: fix: second pod mount error for static provisioning(containerName specified)
ResultABORTED
Tests 0 failed / 12 succeeded
Started2021-05-06 14:27
Elapsed14m2s
Revisionfb92ca1adc4a7f2514a732780d5654f0bb9c3957
Refs 417
job-versionv1.22.0-alpha.1.180+bd6f5c2e645a64
kubetest-version
revisionv1.22.0-alpha.1.180+bd6f5c2e645a64

No Test Failures!


Show 12 Passed Tests

Error lines from build-log.txt

... skipping 218 lines ...
Downloading https://get.helm.sh/helm-v3.5.4-linux-amd64.tar.gz
Verifying checksum... Done.
Preparing to install helm into /usr/local/bin
helm installed into /usr/local/bin/helm
# Only build and push the image if it does not exist in the registry
docker pull k8sprow.azurecr.io/blob-csi:e2e-f2129d6c4c9cb304166b4c0fb7ae91ab705a092e || make blob-container push
Error response from daemon: manifest for k8sprow.azurecr.io/blob-csi:e2e-f2129d6c4c9cb304166b4c0fb7ae91ab705a092e not found: manifest unknown: manifest tagged by "e2e-f2129d6c4c9cb304166b4c0fb7ae91ab705a092e" is not found
make[2]: Entering directory '/home/prow/go/src/sigs.k8s.io/blob-csi-driver'
docker buildx rm container-builder || true
error: no builder "container-builder" found
docker buildx create --use --name=container-builder
container-builder
# enable qemu for arm64 build
# docker run --rm --privileged multiarch/qemu-user-static --reset -p yes
for arch in amd64 ; do \
	ARCH=${arch} make blob; \
... skipping 70 lines ...
#8 5.231 Reading state information...
#8 5.426 The following additional packages will be installed:
#8 5.427   cmake-data libarchive13 libblkid1 libc-dev-bin libc6-dev libcom-err2
#8 5.427   libcurl3-gnutls libcurl4 libdpkg-perl libevent-2.1-6 libexpat1 libfuse2
#8 5.427   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#8 5.427   libgnutls-dane0 libgnutls-openssl27 libgnutls30 libgnutlsxx28
#8 5.427   libgpg-error-dev libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1
#8 5.427   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2
#8 5.428   libldap-common libmount1 libncurses6 libncursesw6 libnghttp2-14
#8 5.428   libp11-kit-dev libp11-kit0 libpcre16-3 libpcre2-8-0 libpcre3-dev libpcre32-3
#8 5.428   libpcrecpp0v5 libperl5.28 libprocps7 libpsl5 librhash0 librtmp1 libsasl2-2
#8 5.428   libsasl2-modules-db libselinux1-dev libsepol1-dev libssh2-1 libssl1.1
#8 5.428   libtasn1-6-dev libtinfo6 libunbound8 libuuid1 libuv1 libxml2 linux-libc-dev
... skipping 14 lines ...
#8 6.058 The following NEW packages will be installed:
#8 6.059   ca-certificates cmake cmake-data libarchive13 libblkid1 libc-dev-bin
#8 6.059   libc6-dev libcom-err2 libcurl3-gnutls libcurl4 libcurl4-gnutls-dev
#8 6.059   libdpkg-perl libevent-2.1-6 libexpat1 libfuse-dev libfuse2 libgcrypt20-dev
#8 6.059   libgdbm-compat4 libgdbm6 libglib2.0-0 libgmp-dev libgmpxx4ldbl
#8 6.059   libgnutls-dane0 libgnutls-openssl27 libgnutls28-dev libgnutlsxx28
#8 6.060   libgpg-error-dev libgssapi-krb5-2 libicu63 libidn2-dev libjsoncpp1
#8 6.060   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libldap-2.4-2
#8 6.060   libldap-common libmount1 libncurses6 libncursesw6 libnghttp2-14
#8 6.060   libp11-kit-dev libpcre16-3 libpcre2-8-0 libpcre3-dev libpcre32-3
#8 6.060   libpcrecpp0v5 libperl5.28 libprocps7 libpsl5 librhash0 librtmp1 libsasl2-2
#8 6.060   libsasl2-modules-db libselinux1-dev libsepol1-dev libssh2-1 libssl1.1
#8 6.061   libtasn1-6-dev libtinfo6 libunbound8 libuuid1 libuv1 libxml2 linux-libc-dev
... skipping 60 lines ...
#8 6.863 Get:54 http://deb.debian.org/debian buster/main amd64 libpcre16-3 amd64 2:8.39-12 [259 kB]
#8 6.866 Get:55 http://deb.debian.org/debian buster/main amd64 libpcre32-3 amd64 2:8.39-12 [250 kB]
#8 6.869 Get:56 http://deb.debian.org/debian buster/main amd64 libpcrecpp0v5 amd64 2:8.39-12 [152 kB]
#8 6.871 Get:57 http://deb.debian.org/debian buster/main amd64 libpcre3-dev amd64 2:8.39-12 [650 kB]
#8 6.879 Get:58 http://deb.debian.org/debian buster/main amd64 libselinux1-dev amd64 2.8-1+b1 [169 kB]
#8 6.881 Get:59 http://deb.debian.org/debian buster/main amd64 libfuse-dev amd64 2.9.9-1+deb10u1 [152 kB]
#8 6.883 Get:60 http://deb.debian.org/debian buster/main amd64 libgpg-error-dev amd64 1.35-1 [124 kB]
#8 6.885 Get:61 http://deb.debian.org/debian buster/main amd64 libgcrypt20-dev amd64 1.8.4-5 [608 kB]
#8 6.891 Get:62 http://deb.debian.org/debian buster/main amd64 libmount1 amd64 2.33.1-0.1 [207 kB]
#8 6.894 Get:63 http://deb.debian.org/debian buster/main amd64 libglib2.0-0 amd64 2.58.3-2+deb10u2 [1258 kB]
#8 6.907 Get:64 http://deb.debian.org/debian buster/main amd64 libgmpxx4ldbl amd64 2:6.1.2+dfsg-4 [22.9 kB]
#8 6.908 Get:65 http://deb.debian.org/debian buster/main amd64 libgmp-dev amd64 2:6.1.2+dfsg-4 [628 kB]
#8 6.915 Get:66 http://deb.debian.org/debian buster/main amd64 libunbound8 amd64 1.9.0-2+deb10u2 [462 kB]
... skipping 186 lines ...
#8 14.98 Selecting previously unselected package libselinux1-dev:amd64.
#8 14.99 Preparing to unpack .../50-libselinux1-dev_2.8-1+b1_amd64.deb ...
#8 14.99 Unpacking libselinux1-dev:amd64 (2.8-1+b1) ...
#8 15.05 Selecting previously unselected package libfuse-dev.
#8 15.05 Preparing to unpack .../51-libfuse-dev_2.9.9-1+deb10u1_amd64.deb ...
#8 15.06 Unpacking libfuse-dev (2.9.9-1+deb10u1) ...
#8 15.11 Selecting previously unselected package libgpg-error-dev.

#8 15.11 Preparing to unpack .../52-libgpg-error-dev_1.35-1_amd64.deb ...

#8 15.12 Unpacking libgpg-error-dev (1.35-1) ...

#8 15.17 Selecting previously unselected package libgcrypt20-dev.
#8 15.17 Preparing to unpack .../53-libgcrypt20-dev_1.8.4-5_amd64.deb ...
#8 15.17 Unpacking libgcrypt20-dev (1.8.4-5) ...
#8 15.29 Selecting previously unselected package libmount1:amd64.
#8 15.29 Preparing to unpack .../54-libmount1_2.33.1-0.1_amd64.deb ...
#8 15.29 Unpacking libmount1:amd64 (2.33.1-0.1) ...
... skipping 60 lines ...
#8 16.81 Setting up libldap-common (2.4.47+dfsg-3+deb10u6) ...
#8 16.83 Setting up libicu63:amd64 (63.1-6+deb10u1) ...
#8 16.84 Setting up libkrb5support0:amd64 (1.17-3+deb10u1) ...
#8 16.85 Setting up libsasl2-modules-db:amd64 (2.1.27+dfsg-1+deb10u1) ...
#8 16.86 Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-4) ...
#8 16.87 Setting up libuv1:amd64 (1.24.1-1) ...
#8 16.89 Setting up libgpg-error-dev (1.35-1) ...

#8 16.90 Setting up librtmp1:amd64 (2.4+20151223.gitfa8646d.1-2) ...
#8 16.91 Setting up libpcre32-3:amd64 (2:8.39-12) ...
#8 16.92 Setting up libuuid1:amd64 (2.33.1-0.1) ...
#8 16.93 Setting up libgnutlsxx28:amd64 (3.6.7-4+deb10u6) ...
#8 16.95 Setting up libpcre2-8-0:amd64 (10.32-5) ...
#8 16.96 Setting up libk5crypto3:amd64 (1.17-3+deb10u1) ...
... skipping 389 lines ...
#11 8.632 Setting up libpython-stdlib:amd64 (2.7.16-1) ...
#11 8.645 Setting up python (2.7.16-1) ...
#11 8.666 Setting up libdevmapper1.02.1:amd64 (2:1.02.155-3) ...
#11 8.678 Setting up dmsetup (2:1.02.155-3) ...
#11 8.694 Setting up nfs-common (1:1.3.4-2.5+deb10u1) ...
#11 8.715 /var/lib/dpkg/info/nfs-common.postinst: 7: /var/lib/dpkg/info/nfs-common.postinst: ucf: not found
#11 8.715 dpkg: error processing package nfs-common (--configure):

#11 8.715  installed nfs-common package post-installation script subprocess returned error exit status 127

#11 8.716 dpkg: dependency problems prevent configuration of nfs-kernel-server:
#11 8.716  nfs-kernel-server depends on nfs-common (= 1:1.3.4-2.5+deb10u1); however:
#11 8.716   Package nfs-common is not configured yet.
#11 8.716 
#11 8.716 dpkg: error processing package nfs-kernel-server (--configure):

#11 8.716  dependency problems - leaving unconfigured
#11 8.716 Processing triggers for libc-bin (2.28-10) ...
#11 8.749 Errors were encountered while processing:
#11 8.749  nfs-common
#11 8.749  nfs-kernel-server
#11 8.765 E: Sub-process /usr/bin/dpkg returned an error code (1)
#11 DONE 8.9s

#12 exporting to image
#12 sha256:e8c613e07b0b7ff33893b694f7759a10d42e180f2b4dc349fb57dc6b71dcab00
#12 exporting layers
#12 exporting layers 11.5s done
... skipping 752 lines ...
        - name: csi-resizer
          image: "mcr.microsoft.com/oss/kubernetes-csi/csi-resizer:v1.1.0"
          args:
            - "-csi-address=$(ADDRESS)"
            - "-v=2"
            - "-leader-election"
            - '-handle-volume-inuse-error=false'
          env:
            - name: ADDRESS
              value: /csi/csi.sock
          imagePullPolicy: IfNotPresent
          volumeMounts:
            - name: socket-dir
... skipping 155 lines ...

S [SKIPPING] in Spec Setup (BeforeEach) [0.001 seconds]
External Storage [Driver: blob.csi.azure.com]
/workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/external/external.go:169
  [Testpattern: Dynamic PV (delayed binding)] topology
  /workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/testsuites/base.go:126
    should fail to schedule a pod which has topologies that conflict with AllowedTopologies [BeforeEach]
    /workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/testsuites/topology.go:191

    Driver "blob.csi.azure.com" does not support topology - skipping

    /workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/testsuites/topology.go:96
------------------------------
... skipping 1668 lines ...

S [SKIPPING] in Spec Setup (BeforeEach) [0.001 seconds]
External Storage [Driver: blob.csi.azure.com]
/workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/external/external.go:169
  [Testpattern: Dynamic PV (immediate binding)] topology
  /workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/testsuites/base.go:126
    should fail to schedule a pod which has topologies that conflict with AllowedTopologies [BeforeEach]
    /workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/testsuites/topology.go:191

    Driver "blob.csi.azure.com" does not support topology - skipping

    /workspace/anago-v1.19.0-rc.4.197+594f888e19d8da/src/k8s.io/kubernetes/_output/dockerized/go/src/k8s.io/kubernetes/test/e2e/storage/testsuites/topology.go:96
------------------------------
... skipping 149 lines ...